AlterableBpGraphComponent< BAS > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
AlterableBpGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseBpGraphComponent>
class lemon::concepts::AlterableBpGraphComponent< BAS >

This class describes the interface of alterable undirected bipartite graphs. It extends AlterableGraphComponent with the alteration notifier interface of bipartite graphs. It implements an observer-notifier pattern for the red and blue nodes. More obsevers can be registered into the notifier and whenever an alteration occured in the graph all the observers will be notified about it.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for AlterableBpGraphComponent< BAS >:
[legend]

## Public Types
typedef AlterationNotifier < AlterableBpGraphComponent, RedNode > | RedNodeNotifier
| Red node alteration notifier class.
typedef AlterationNotifier < AlterableBpGraphComponent, BlueNode > | BlueNodeNotifier
| Blue node alteration notifier class.
Public Types inherited from AlterableGraphComponent< BAS >
typedef AlterationNotifier < AlterableGraphComponent, Edge > | EdgeNotifier
| Edge alteration notifier class.
Public Types inherited from AlterableDigraphComponent< BAS >
typedef AlterationNotifier < AlterableDigraphComponent, Node > | NodeNotifier
| Node alteration notifier class.
typedef AlterationNotifier < AlterableDigraphComponent, Arc > | ArcNotifier
| Arc alteration notifier class.

## Public Member Functions
RedNodeNotifier & | notifier (RedNode) const
| Return the red node alteration notifier. More...
BlueNodeNotifier & | notifier (BlueNode) const
| Return the blue node alteration notifier. More...
Public Member Functions inherited from AlterableGraphComponent< BAS >
EdgeNotifier & | notifier (Edge) const
| Return the edge alteration notifier. More...
Public Member Functions inherited from AlterableDigraphComponent< BAS >
NodeNotifier & | notifier (Node) const
| Return the node alteration notifier. More...
ArcNotifier & | notifier (Arc) const
| Return the arc alteration notifier. More...

## Member Function Documentation

RedNodeNotifier& notifier | ( | RedNode |  | ) | const
| inline

This function gives back the red node alteration notifier.

BlueNodeNotifier& notifier | ( | BlueNode |  | ) | const
| inline

This function gives back the blue node alteration notifier.